summaryrefslogtreecommitdiffstats
path: root/test/TEST-53-ISSUE-16347/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-53-ISSUE-16347/test.sh')
-rwxr-xr-xtest/TEST-53-ISSUE-16347/test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/TEST-53-ISSUE-16347/test.sh b/test/TEST-53-ISSUE-16347/test.sh
new file mode 100755
index 0000000..6d4821d
--- /dev/null
+++ b/test/TEST-53-ISSUE-16347/test.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="test timer units when initial clock is ahead"
+TEST_NO_NSPAWN=1
+
+QEMU_OPTIONS+=" -rtc base=$(date -u +%Y-%m-%dT%H:%M:%S -d '+3 days')"
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+do_test "$@"